Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 01 Sep 2014, 22:36
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Networking
MODEM ZTE ZXDSL 852 and Sagem Fast E3T
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
swiatmar


Joined: 09 Aug 2008
Posts: 241
Location: Danube, AT

PostPosted: Mon 15 Mar 2010, 05:45    Post subject:  MODEM ZTE ZXDSL 852 and Sagem Fast E3T
Subject description: how to bring it to work?
 

Hello!!

Does anybody know how to bring it to work under puppy:
ZTE ZXDSL 852
and
Sagem Fast E3T ?

These are 2 modems of polish Neostrada- both make lot of problem to bing it to work in linux.....
Back to top
View user's profile Send private message Visit poster's website 
swiatmar


Joined: 09 Aug 2008
Posts: 241
Location: Danube, AT

PostPosted: Mon 15 Mar 2010, 06:00    Post subject:  

Okey I found something:
http://sourceforge.net/projects/ubudsl/
It has ueagle-atm- which should work with ZTE
IT is a ubuntu package. Can I convert it to a pet and use in regular puppy(4.1.3 or 4.3.1)?
Back to top
View user's profile Send private message Visit poster's website 
swiatmar


Joined: 09 Aug 2008
Posts: 241
Location: Danube, AT

PostPosted: Tue 16 Mar 2010, 07:11    Post subject:  

Okey. I found something here:
http://linnet.cba.pl/showthread.php?tid=5
but it is still not easy..
Back to top
View user's profile Send private message Visit poster's website 
dukenukeme


Joined: 15 Feb 2010
Posts: 12

PostPosted: Wed 17 Mar 2010, 16:54    Post subject:  

hi

for sagem you just need
-firmware files
-libatm 2.50 or higher
-couple of comands

need to know also if you are on PPPoA or PPPoE

here was some topic on concurent distros (if i may Very Happy )

http://www.slax.org/forum.php?action=view&parentID=9417&highlight=sagem

Quote:


there is no need for additional compiling in slax 6.0.x (or puppy plz check )
kernel 2.6.24.x (and up) allready has the module ueagle-atm included
what you need is the firmware
for E4
http://eagle-usb.org/ueagle-atm/non-free/ueagle4-data-1.0.tar.gz
for E3 and older
http://eagle-usb.org/ueagle-atm/non-free/ueagle-data-1.1.tar.gz
and contents to be unpacked in /lib/firmware/ueagle-atm

afterwards if you are using pppoe you need
br2364ctl and libatm1 (dont' know exactly where is source for slax/slackware or puppy )

it then goes like this ,for pppoe

Code:

sudo modprobe ueagle-atm
sudo modprobe br2684
sudo br2684ctl -c 0 -b -a 8.35
sudo ifconfig nas0 up


where 8.35 are vpi.vci


-get firmware
http://eagle-usb.org/ueagle-atm/non-free/ueagle-data-1.1.tar.gz
http://eagle-usb.org/ueagle-atm/non-free/ueagle4-data-1.0.tar.gz
-unpack it and copy to
/lib/firmware/ueagle-atm

-TODO where is libatm 250 on puppy?

-do as root
Code:

rmmod ueagle-atm
modprobe ueagle-atm
modprobe br2684
br2684ctl -c 0 -b -a 8.35
ifconfig nas0 up


-do the broadband conection (pppoe)
Code:

pppoe-setup
pppoe-start
Back to top
View user's profile Send private message Visit poster's website 
dukenukeme


Joined: 15 Feb 2010
Posts: 12

PostPosted: Wed 17 Mar 2010, 17:14    Post subject:  

you need to compile a bit
grab from here: linux-atm-2.5.1.tgz (1.3 MB)
http://sourceforge.net/projects/linux-atm/

grab from here :
e46aebe00b8aff2cac57e517336e45d7 devx_431.sfs
561c83156b4dae5da0b6135b53d8c421 pup-431.iso
http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/puppy-4.3.1/

set up puppy so that it loads developer environement

unpack linux-atm-2.5.1.tgz and then
Code:

./configure
make
make install


have fun!

(note: when you got sagem working ZTE ZXDSL 852 - conexant?
is just couple of firmare files away from working ... )

NOTE2 in case your provider has PPP over ATM connection ,
no need to compile libatm , i think
http://www.slax.org/forum.php?action=view&parentID=27111&highlight=pppoa


note3 for compiling linux-atm-2.5.1
you may need bison and flex plz check output of ./configure
(and for other that is possibly missing , perhaps it is all allready inside devel.sxs )

_________________
A man's got to know his limitations
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Networking
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0708s ][ Queries: 12 (0.0243s) ][ GZIP on ]